package org.netkernel.json.core.endpoint;

import org.json.CDL;
import org.json.JSONArray;
import org.json.JSONObject;
import org.netkernel.layer0.meta.impl.SourcedArgumentMetaImpl;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer1.representation.IDeterminateStringRepresentation;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class JSONFromCSV extends StandardAccessorImpl
{
	public JSONFromCSV()
	{	this.declareThreadSafe();
		declareArgument(new SourcedArgumentMetaImpl("operand","input CSV document",null,new Class[]{IDeterminateStringRepresentation.class}));
		declareSourceRepresentation(JSONObject.class);
	}

	@Override
	public void onSource(INKFRequestContext context) throws Exception
	{	IDeterminateStringRepresentation s=context.source("arg:operand", IDeterminateStringRepresentation.class);
		JSONArray ja=CDL.toJSONArray(s.getString());
		context.createResponseFrom(ja);
	}
}
